/* ----------------------------------------------------------------

	Countdown

-----------------------------------------------------------------*/
.countdown {
  --cnvs-countdown-size:	1.25rem;
  --cnvs-countdown-section:	11px;
  --cnvs-countdown-md-size:	30px;
  --cnvs-countdown-md-section:	0.875rem;
  --cnvs-countdown-lg-size:	44px;
  --cnvs-countdown-lg-section:	18px;
  --cnvs-countdown-border:	1px dotted var(--cnvs-contrast-500);
  --cnvs-countdown-inline-space:	7px;
  --cnvs-countdown-large:	140px;
  position: relative;
  display: block;
  /* Countdown - Inline
  -----------------------------------------------------------------*/
}
.countdown-row {
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;
  text-align: center;
}
.countdown-section {
  flex-basis: 0;
  flex-grow: 1;
  max-width: 100%;
  font-size: var(--cnvs-countdown-section);
  line-height: 1;
  text-align: center;
  border-left: var(--cnvs-countdown-border);
  color: var(--cnvs-contrast-600);
  text-transform: capitalize;
  /* Countdown - Medium */
  /* Countdown - large */
}
.countdown-medium .countdown-section {
  --cnvs-countdown-section: 0.875rem;
}
.countdown-large .countdown-section {
  --cnvs-countdown-section: 1.125rem;
}
.countdown-section:first-child {
  border-left: 0;
}
.countdown-amount {
  display: block;
  font-size: var(--cnvs-countdown-size);
  color: var(--cnvs-contrast-800);
  margin-bottom: 5px;
  /* Countdown - Medium */
  /* Countdown - large */
}
.countdown-medium .countdown-amount {
  --cnvs-countdown-size: var(--cnvs-countdown-md-size);
  margin-bottom: 7px;
}
.countdown-large .countdown-amount {
  --cnvs-countdown-size: var(--cnvs-countdown-lg-size);
  font-weight: 700;
  margin-bottom: 8px;
}
.countdown-descr {
  display: block;
  width: 100%;
}
.countdown.countdown-inline {
  display: inline-block;
}
.countdown.countdown-inline .countdown-row {
  display: inline-block;
  text-align: center;
}
.countdown.countdown-inline .countdown-section {
  display: inline-block;
  font-size: inherit;
  line-height: inherit;
  width: auto;
  border: none;
  color: inherit;
  margin-left: var(--cnvs-countdown-inline-space);
  text-transform: inherit;
}
.countdown.countdown-inline .countdown-section:first-child {
  margin-left: 0;
}
.countdown.countdown-inline .countdown-amount {
  display: inline-block;
  font-size: inherit;
  color: inherit;
  font-weight: bold;
  margin: 0 3px 0 0;
}
.countdown.countdown-inline .countdown-descr {
  display: inline-block;
  width: auto;
}

/* Countdown - Coming Soon
-----------------------------------------------------------------*/
@media (min-width: 768px) {
  .countdown-large.coming-soon .countdown-section {
    border: none;
    padding: 15px;
  }
  .countdown-large.coming-soon .countdown-amount {
    width: var(--cnvs-countdown-large);
    height: var(--cnvs-countdown-large);
    line-height: var(--cnvs-countdown-large);
    margin-left: auto;
    margin-right: auto;
    border-radius: 50%;
    background-color: rgba(0, 0, 0, 0.2);
    margin-bottom: 15px !important;
  }
}
/*-----------------------------------------------------------------------------------